## Class TVarDumper

Description

TVarDumper class.

TVarDumper is intended to replace the buggy PHP function var_dump and print_r. It can correctly identify the recursively referenced objects in a complex object structure. It also has a recursive depth control to avoid indefinite recursive display of some peculiar variables.

TVarDumper can be used as follows,

       echo TVarDumper::dump($var);

- since: 3.0
- version: $Id: TVarDumper.php 2065 2007-07-24 02:05:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Util/TVarDumper.php (line 31)

Method Summary
string dump (mixed $var, [integer $depth = 10], [mixed $highlight = false])
Methods
dump (line 45)

Converts a variable into a string representation.

This method achieves the similar functionality as var_dump and print_r but is more robust when handling complex objects such as PRADO controls.

- return: the string representation of the variable
- static:
- access: public

string dump (mixed $var, [integer $depth = 10], [mixed $highlight = false])

- mixed $var: variable to be dumped
- integer $depth: maximum depth that the dumper should go into the variable. Defaults to 10.

Documentation generated on Mon, 21 Apr 2008 11:36:43 -0400 by phpDocumentor 1.3.0RC4